Quali problemi comporta l'aggiornamento del mio db MySQL dalla versione 4.x alla 5.x ?

I problemi che frequentemente si verificano nell'aggiornamento della versione di MySQL sono propri delle caratteristiche nuove introdotte nella versione 5 di MySQL. Pertanto se si desidera l'aggiornamento del proprio database (ove contrattualmente previsto), è necessario valutare i seguenti aspetti: 

1) Le nuove parole riservate di MySQL. Nella versione 5 i termini riservati sono ben 256, pertanto è necessario controllare se nel proprio database sono stati utilizzati tali termini per nominare le colonne e le tabelle. L'elenco dei termini riservati è disponibile sul sito della MySQL. 

2) La differente sintassi delle Left Join. La versione 5 di MySQL è aderente allo standard SQL 99 per la sintassi delle Left Join, che quindi è variata rispetto alla precedente. E' possibile consultare la nuova sintassi sul sito della MySQL.

 

 

------------

Le informazioni contenute nella Knowledge Base sono fornite senza garanzia di alcun tipo, implicita od esplicita, compresa quella riguardo alla commercializzazione e/o compatibilita' in impieghi particolari. L'utente si assume l'intera responsabilita' per l'utilizzo di queste informazioni. In nessun caso Notelseit.com e i suoi fornitori si rendono responsabili per danni diretti, indiretti o accidentali che possano provocare perdita di denaro o di dati, anche se Notelseit.com o i suoi fornitori fossero stati avvisati. Il documento puo' essere copiato e distribuito alle seguenti condizioni: 1) il testo deve essere copiato integralmente e tutte le pagine devono essere incluse. 2) i programmi se presenti, devono essere copiati senza modifiche, 3) il documento deve essere distribuito interamente in ogni sua parte. 4) il documento non puo' essere distribuito a scopo di lucro.

Hai trovato utile questa risposta? 0 Utenti hanno trovato utile questa risposta (0 Voti)